Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType http-proxyType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}deploymentType
              {http://www.bea.com/ns/weblogic/90/domain}http-proxyType

Model
  `<...>
  name?, notes?, target?, deployment-order?, initial-connections?, max-connections?, server-list?, health-check-interval?, max-retries?, max-health-check-interval?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  Copyright (c) 2003 by BEA Systems, Inc. All Rights Reserved.

  MBean: `HTTPProxyMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `deployment-order` optional A priority that the server uses to determine when it deploys an item.
`annonymous type derived from int` | `initial-connections` optional The number of initial connections that should be opened to each server in the back end servers.
`annonymous type derived from int` | `max-connections` optional The maximum number of connections that each server can open to the back end servers.
`string` | `server-list` optional The list of servers in the back end that the HCS should proxy to.
`annonymous type derived from int` | `health-check-interval` optional The health check interval in milliseconds between pings.
`int` | `max-retries` optional The max retries after which the server will be marked dead.
`int` | `max-health-check-interval` optional The maximum interval between health checks.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1